"""object and model processors"""
from function import function_call_processor


def object_import_processor(obj):
    """add namespace of parent ObjectImports to ObjectImport"""
    obj.namespace = obj.parent.namespace


def add_processors(metamodel):
    """register the processors on the metamodel instance"""
    obj_processors = {'ObjectImport': object_import_processor}
    metamodel.register_obj_processors(obj_processors)
    metamodel.register_model_processor(function_call_processor)
